Re-sync billing state
curl --request POST \
--url https://api.kordio.io/control/v1/workspaces/{workspace_slug}/billing/refresh \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.kordio.io/control/v1/workspaces/{workspace_slug}/billing/refresh"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.kordio.io/control/v1/workspaces/{workspace_slug}/billing/refresh', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"configured": true,
"plan": "<string>",
"subscription": {},
"entitlements": {},
"prepaid": {},
"plans": [
{}
]
}
}{
"error": {
"message": "Insufficient role",
"code": "insufficient_role"
}
}Requires manage_members. Pulls the current subscription from the billing provider rather than waiting for the next webhook.
POST
/
control
/
v1
/
workspaces
/
{workspace_slug}
/
billing
/
refresh
Re-sync billing state
Authorizations
An identity bearer token for a person or your backend. Capabilities are per member, per workspace. This credential can manage the workspace and can never authorize an action as an agent.
Path Parameters
Response
The refreshed billing overview.
Show child attributes
Show child attributes